package service_test

import (
	"testing"

	"gitea.michaelthomson.dev/mthomson/habits/internal/todo/repository/inmemory"
	"gitea.michaelthomson.dev/mthomson/habits/internal/todo/service"
)

func TestCreateTodo(t *testing.T) {
	todoRepository := inmemory.NewInMemoryTodoRepository()

	todoService := service.NewTodoService(&todoRepository)

	t.Run("Create todo", func(t *testing.T) {
		todo := service.NewTodo("clean dishes", false)

		_, err := todoService.CreateTodo(todo)

		if err != nil {
			t.Error(err)
		}
	})
}
